 /*  NDDESEC.CPY                                                */
 /*  Copyright 1994 - 1998 Microsoft Corp. All rights reserved. */

 %dcl #INC_NDDESEC char ext;
 %if #INC_NDDESEC = '' %then %do;
 %#INC_NDDESEC = 'Y';

 %dcl #WINDEF_ char ext;
 %if #WINDEF_ = '' %then %do;
 %include windef;
 %end;

 dcl NDDE_SHAREDB_ADD       fixed bin(31) value('00000001'xn);
 dcl NDDE_SHAREDB_DELETE    fixed bin(31) value('00000002'xn);
 dcl NDDE_SHAREDB_LIST      fixed bin(31) value('00000004'xn);

 dcl NDDE_SHAREDB_ADMIN     fixed bin(31) value(ior(NDDE_SHAREDB_ADD,
                                                    NDDE_SHAREDB_DELETE,
                                                    NDDE_SHAREDB_LIST,
                                                    READ_CONTROL,
                                                    WRITE_DAC,
                                                    WRITE_OWNER));

 dcl NDDE_SHAREDB_OPER      fixed bin(31) value(ior(NDDE_SHAREDB_ADD,
                                                    NDDE_SHAREDB_DELETE,
                                                    NDDE_SHAREDB_LIST));

 dcl NDDE_SHAREDB_POWER     fixed bin(31) value(ior(NDDE_SHAREDB_ADD,
                                                    NDDE_SHAREDB_DELETE,
                                                    NDDE_SHAREDB_LIST));

 dcl NDDE_SHAREDB_USER      fixed bin(31) value(ior(NDDE_SHAREDB_ADD,
                                                    NDDE_SHAREDB_DELETE,
                                                    NDDE_SHAREDB_LIST));


 dcl NDDE_SHAREDB_EVERYONE  fixed bin(31) value(NDDE_SHAREDB_LIST);

 dcl NDDE_SHARE_READ            fixed bin(31) value('00000001'xn);
 dcl NDDE_SHARE_WRITE           fixed bin(31) value('00000002'xn);
 dcl NDDE_SHARE_INITIATE_STATIC fixed bin(31) value('00000004'xn);
 dcl NDDE_SHARE_INITIATE_LINK   fixed bin(31) value('00000008'xn);
 dcl NDDE_SHARE_REQUEST         fixed bin(31) value('00000010'xn);
 dcl NDDE_SHARE_ADVISE          fixed bin(31) value('00000020'xn);
 dcl NDDE_SHARE_POKE            fixed bin(31) value('00000040'xn);
 dcl NDDE_SHARE_EXECUTE         fixed bin(31) value('00000080'xn);
 dcl NDDE_SHARE_ADD_ITEMS       fixed bin(31) value('00000100'xn);
 dcl NDDE_SHARE_LIST_ITEMS      fixed bin(31) value('00000200'xn);

 dcl NDDE_SHARE_GENERIC_READ    fixed bin(31)
          value(ior(NDDE_SHARE_READ,
                    NDDE_SHARE_INITIATE_STATIC,
                    NDDE_SHARE_REQUEST,
                    NDDE_SHARE_ADVISE,
                    NDDE_SHARE_LIST_ITEMS));

 dcl NDDE_SHARE_GENERIC_WRITE   fixed bin(31)
         value(ior(NDDE_SHARE_INITIATE_STATIC,
                   NDDE_SHARE_INITIATE_LINK,
                   NDDE_SHARE_POKE,
                   DELETE));

 dcl NDDE_SHARE_GENERIC_EXECUTE fixed bin(31)
         value(ior(NDDE_SHARE_INITIATE_STATIC,
                   NDDE_SHARE_INITIATE_LINK,
                   NDDE_SHARE_EXECUTE));

 dcl NDDE_SHARE_GENERIC_ALL     fixed bin(31)
         value(ior(NDDE_SHARE_READ,
                   NDDE_SHARE_WRITE,
                   NDDE_SHARE_INITIATE_STATIC,
                   NDDE_SHARE_INITIATE_LINK,
                   NDDE_SHARE_REQUEST,
                   NDDE_SHARE_ADVISE,
                   NDDE_SHARE_POKE,
                   NDDE_SHARE_EXECUTE,
                   NDDE_SHARE_ADD_ITEMS,
                   NDDE_SHARE_LIST_ITEMS,
                   DELETE,
                   READ_CONTROL,
                   WRITE_DAC,
                   WRITE_OWNER));

 dcl NDDE_ITEM_REQUEST fixed bin(31) value('00000001'xn);
 dcl NDDE_ITEM_ADVISE  fixed bin(31) value('00000002'xn);
 dcl NDDE_ITEM_POKE    fixed bin(31) value('00000004'xn);

 dcl NDDE_ITEM_GENERIC_READ    fixed bin(31)
         value(ior(NDDE_ITEM_REQUEST, NDDE_ITEM_ADVISE));
 dcl NDDE_ITEM_GENERIC_WRITE   fixed bin(31) value(NDDE_ITEM_POKE);
 dcl NDDE_ITEM_GENERIC_EXECUTE fixed bin(31) value(0);
 dcl NDDE_ITEM_GENERIC_ALL     fixed bin(31)
         value(ior(NDDE_ITEM_REQUEST,
                   NDDE_ITEM_ADVISE,
                   NDDE_ITEM_POKE,
                   DELETE,
                   READ_CONTROL,
                   WRITE_DAC,
                   WRITE_OWNER));


 dcl NDDE_GUI_NONE fixed bin(31) value(0);

 dcl NDDE_GUI_READ fixed bin(31) value(NDDE_SHARE_GENERIC_READ);

 dcl NDDE_GUI_READ_LINK fixed bin(31)
         value(ior(NDDE_SHARE_GENERIC_READ,
                   NDDE_SHARE_INITIATE_LINK));

 dcl NDDE_GUI_CHANGE    fixed bin(31)
         value(ior(NDDE_SHARE_GENERIC_READ,
                   NDDE_SHARE_GENERIC_WRITE,
                   NDDE_SHARE_GENERIC_EXECUTE));

 dcl NDDE_GUI_FULL_CONTROL fixed bin(31) value(NDDE_SHARE_GENERIC_ALL);

 %end;
