 /*******************************************************/
 /*               Microsoft LAN Manager                 */
 /*       Copyright(c) Microsoft Corp., 1987-1998       */
 /*                                                     */
 /*     Rpc Error Codes from the compiler and runtime   */
 /*                                                     */
 /*******************************************************/

 %dcl #_RPCNTERR_H__ char ext;
 %if #_RPCNTERR_H__ = '' %then %do;
 %#_RPCNTERR_H__ = 'Y';

 dcl
 ( RPC_S_OK                     value(ERROR_SUCCESS)
 , RPC_S_INVALID_ARG            value(ERROR_INVALID_PARAMETER)
 , RPC_S_OUT_OF_MEMORY          value(ERROR_OUTOFMEMORY)
 , RPC_S_OUT_OF_THREADS         value(ERROR_MAX_THRDS_REACHED)
 , RPC_S_INVALID_LEVEL          value(ERROR_INVALID_PARAMETER)
 , RPC_S_BUFFER_TOO_SMALL       value(ERROR_INSUFFICIENT_BUFFER)
 , RPC_S_INVALID_SECURITY_DESC  value(ERROR_INVALID_SECURITY_DESCR)
 , RPC_S_ACCESS_DENIED          value(ERROR_ACCESS_DENIED)
 , RPC_S_SERVER_OUT_OF_MEMORY   value(ERROR_NOT_ENOUGH_SERVER_MEMORY)
 , RPC_S_ASYNC_CALL_PENDING     value(ERROR_IO_PENDING)

 , RPC_X_NO_MEMORY              value(RPC_S_OUT_OF_MEMORY)
 , RPC_X_INVALID_BOUND          value(RPC_S_INVALID_BOUND)
 , RPC_X_INVALID_TAG            value(RPC_S_INVALID_TAG)
 , RPC_X_ENUM_VALUE_TOO_LARGE   value(RPC_X_ENUM_VALUE_OUT_OF_RANGE)
 , RPC_X_SS_CONTEXT_MISMATCH    value(ERROR_INVALID_HANDLE)
 , RPC_X_INVALID_BUFFER         value(ERROR_INVALID_USER_BUFFER)
 , RPC_X_PIPE_APP_MEMORY        value(ERROR_OUTOFMEMORY)
 , RPC_X_INVALID_PIPE_OPERATION value(RPC_X_WRONG_PIPE_ORDER)
 ) fixed bin(31);

 %end; /* __RPCNTERR_H__ */
