@ECHO OFF
REM *****************************************************************/
REM                                                                 */
REM   Licensed Materials - Property of IBM                          */
REM   5622-088, 5639-A24 (C) Copyright IBM Corp. 1992,1998.         */
REM   All Rights Reserved.                                          */
REM   US Government Users Restricted Rights-- Use, duplication or   */
REM   disclosure restricted by GSA ADP Schedule Contract with       */
REM   IBM Corp.                                                     */
REM                                                                 */
REM DISCLAIMER OF WARRANTIES                                        */
REM   The following enclosed code is sample code created by IBM   */
REM   Corporation. This sample code is not part of any standard     */
REM   IBM product and is provided to you solely for the purpose of  */
REM   assisting you in the development of your applications.  The   */
REM   code is provided "AS IS", without warranty of any kind.       */
REM   IBM shall not be liable for any damages arising out of your   */
REM   use of the sample code, even if IBM has been advised of the   */
REM   possibility of such damages.                                  */
REM                                                                 */
REM                                                                 */
REM Build the Stored Procedure server program.                      */
REM  - The SQSRVOUT.PLI program is compiled and linked as a DLL.    */
REM  - After the DLL is built the DLL and BND files must be moved   */
REM    to an appropriate directory on the DB2 Server machine.  The  */
REM    BND file must be bound to the database.  Please refer to the */
REM    DB2 documentation on Stored Procedures for setup information.*/
REM  - SQSRVOUT is called by the Stored Procedure client program    */
REM    SQCLIOUT using the DB2 EXEC SQL CALL command.                */
REM                                                                 */
REM Requires the Stored Procedure client program, SQCLIOUT.PLI      */
REM which is built by the BLDSQCLI.BAT command file.                */
REM                                                                 */
REM Syntax:   BLDSQSRV                                              */
REM                                                                 */
REM *****************************************************************/
@ECHO OFF

REM Build SQSRVOUT.DLL:
REM -------------------------
PLI SQSRVOUT
REM Build the import library:
REM -------------------------
ilib /GI:SQSRVOUT SQSRVOUT.OBJ SQSRVOUT.DEF
REM Build the dynamic link library:
REM -------------------------
ilink /DLL /OUT:SQSRVOUT.DLL SQSRVOUT.OBJ DB2API.LIB SQSRVOUT.EXP
REM -------------------------

